angular.module('starter.controllers', ['ionic','admobModule'])

.constant('APP_CONFIG', {
		port: 80,
        serverUrl:"http://www.gembo.cn/app/3d/"
})

.controller('DashCtrl', function($scope,$rootScope,$location,$ionicPlatform,$http,$state,APP_CONFIG){
	  if ($location.path() != '/dash') {
        $ionicNavBarDelegate.showBackButton(false);
      }
	$http({
           method:"GET",
           url:APP_CONFIG.serverUrl+"controller.php?action=getBaseMainList&BigID=11",
		   dataType: 'JSONP',
         }).success(
           function(response) {
			//console.log(response);
			$scope.lists = response;
           }
         ).error(function(er) {
           console.log(er);
         });
	$scope.pageopen = function(uid){
		$state.go("chats",{cat:uid});
	}
})

.controller('ChatsCtrl', function($scope,$state,$sce,$http,$stateParams,APP_CONFIG) {
	var category = '0';
	var stitle = '';
	$scope.title = "PS摄影教程";
	var myData = {'gid':$stateParams.cat};
	$http({
           method:"POST",
           url:"http://www.gembo.cn/app/3d/controller.php?action=getBaseList&BigID=11",
		   data:myData,
		   dataType: 'JSONP',
         }).success(
           function(response) {
			//console.log(response);
			$scope.lists  = response;
           }
         ).error(function(er) {
           console.log(er);
         });
	$scope.pageopen = function(url){
		$state.go("chat-detail",{chatId:url});
	}
	$scope.mygoBack = function(){
	  window.history.back();
}
})

.controller('ChatDetailCtrl', function($scope, $stateParams,$http,$sce,$ionicLoading) {
   $scope.loadingStatus = true;
   var doman = $stateParams.chatId;
  // console.log(doman);
   $http({
           method:"GET",
           url:"http://www.gembo.cn/app/3d/showContent.php?id="+doman,
		   dataType: 'JSONP',
         }).success(
           function(response) {
			$scope.loadingStatus = false;
			var htmlcont = response.replace('ca-pub-4433731159939540','');
			$scope.lists = htmlcont;
			//console.log(htmlcont);
           }
         ).error(function(er) {
           console.log(er);
         });

$scope.mygoBack = function(){
	  window.history.back();
}
})

.controller('AccountCtrl',
function ($scope, $stateParams,$http,$ionicLoading,$cordovaDevice) {

$scope.saveFeedback = function(){
	var now = Date.now();
	var appKey = SHA1("A6993339949437"+"UZ"+"0A11F8AD-DA11-B777-AF82-6413869C8F13"+"UZ"+now)+"."+now;
	
$.ajax({
  "url": "https://d.apicloud.com/mcm/api/feedback",
  "cache": false,
  "headers": {
    "X-APICloud-AppId": "A6993339949437",
    "X-APICloud-AppKey": appKey
  },
  "data": {
    "uuid": localStorage.getItem("platform"),
    "content": $scope.feedback+' from PS教程'
  },
  "type": "POST"
}).done(function (data, status, header) {
  //success body
  $ionicLoading.show({ template: '保存成功!', noBackdrop: true, duration: 2000 });
}).fail(function (header, status, errorThrown) {
  //fail body
  $ionicLoading.show({ template: '保存成功!', noBackdrop: true, duration: 2000 });
})
};
})

.controller('menuCtrl', 
function ($scope, $stateParams,$state,$ionicSideMenuDelegate) {
	$scope.opensite = function(item){
	switch(item){
		case 'bt':
		$state.go("website",{siteId:'bt'});
		$ionicSideMenuDelegate.toggleLeft();
		break;
		case 'app':
		$state.go("website",{siteId:'app'});
		$ionicSideMenuDelegate.toggleLeft();
		break;
		case 'book':
		$state.go("website",{siteId:'book'});
		$ionicSideMenuDelegate.toggleLeft();
		break;
	}	
}
})

.controller('websiteCtl', 
function ($scope, $stateParams, $cordovaInAppBrowser,$timeout,$rootScope,$sce,$ionicSideMenuDelegate,$state) {
	$scope.loadingStatus = true;
	 $timeout(function () {
		switch($stateParams.siteId){	
		case 'bt':
			$scope.name = "BT磁力搜索";
			$scope.url = $sce.trustAsResourceUrl("http://pan.wangfz.com/?app=search&platform=android");
			break;
		case 'app':
			$scope.name = "搜索";
			$scope.url = $sce.trustAsResourceUrl("http://pan.wangfz.com/");
			break;
		case 'book':
			$scope.name = "电子书";
			$scope.url = $sce.trustAsResourceUrl("http://www.wangfz.com/booktools?app=search&platform=android");
			break;
		}
	$scope.loadingStatus = false;
  }, 3000); 

$scope.mygoBack = function(){
	window.history.back();
}
});
